---
title: method
slug: Web/SVG/Attribute/method
tags:
  - Experimental
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{SeeCompatTable}}</div>

<p>The <strong><code>method</code></strong> attribute indicates the method by which text should be rendered along the path of a {{SVGElement("textPath")}} element.</p>

<p>Only one element is using this attribute: {{SVGElement("textPath")}}</p>

<h2 id="textPath">textPath</h2>

<p>For {{SVGElement("textPath")}}, <code>method</code> indicates the method by which text should be rendered along the path.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>align</code> | <code>stretch</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>align</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt>align</dt>
 <dd>This value indicates that the characters should be rendered so that they are not stretched or warped. The characters are rotated, scaled and stretched when they are rendered. As a result, for fonts with connected characters (e.g. cursive fonts), the connections may not align properly when text is rendered along the path.</dd>
 <dt>stretch</dt>
 <dd>This value indicates that the character outlines will be converted into paths, and then stretched and possibly warped. With this approach, connected characters, such as in cursive fonts, will maintain their connections.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "text.html#TextPathElementMethodAttribute", "method")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Described the <code>stretch</code> value in more detail.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#TextPathElementMethodAttribute", "method")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.textPath.method")}}</p>
